slpkg(1)

NOM

slpkg - Utilitaire de gestion de paquets pour Slackware.

SYNOPSIS

slpkg [COMMAND] [OPTIONS] <packages>

slpkg [-h|-v] [-u, update] [-U, upgrade] [-I, repo-info] [-g, configs] [-T, clean-tmp] [-b, build] [-i, install] [-d, download] [-R, remove] [-f, find] [-w, view] [-s, search] [-e, dependees] [-t, tracking] -y, --yes, -c, --check, -O, --resolve-off, -r, --reinstall, -k, --skip-installed, -E, --full-reverse, -S, --search, -B, --progress-bar, -p, --pkg-version, -P, --parallel, -o, --repository=NAME, -z, --directory=PATH

DESCRIPTION

Slpkg est un gestionnaire de paquets qui installe, met à jour et supprime les paquets sur les systèmes basés sur Slackware. Il calcule automatiquement les dépendances et détermine ce qui doit se passer pour installer les paquets. Slpkg facilite la maintenance de groupes de machines sans avoir à les mettre à jour manuellement.

Slpkg travaille en accord avec les standards de l'organisation SlackBuilds.org pour construire des paquets. Il utilise également les instructions de Slackware Linux pour l'installation, la mise à jour ou la suppression des paquets.

COMMANDES

-u, update
    Met à jour la liste des paquets et la base de données.

-U, upgrade
    Met à jour tous les paquets installés si une version plus récente existe dans le référentiel.

-I, repo-info
    Affiche les informations relatives aux dépôts, telles que les dépôts actifs, la date de leur mise à jour, et le nombre de paquets qu'ils contiennent.

-T, clean-tmp
    Supprime tous les scripts et sources SlackBuilds téléchargés.

-g, configs
    Modifie le fichier de configuration /etc/slpkg/slpkg.toml.

-b, build
    Construit les scripts Slackbuilds et ajoute les paquets au répertoire '/tmp'.

-i, install
    Construit et installe les paquets dans l'ordre correct, et enregistre également les paquets avec les dépendances pour les supprimer.

-d, download
    Télécharge les scripts SlackBuilds actuels et les sources sans les construire ou les installer.

-R, remove
    Supprime les paquets avec les dépendances si les paquets ont été installés avec la méthode 'slpkg install'. Slpkg consulte la configuration 'REPO_TAG' pour trouver les paquets à supprimer par défaut, sauf si vous utilisez l'option --file-pattern.

-f, find
    Recherche les paquets installés sur votre système.

-w, view
    Visualiser les paquets d'information du référentiel et tout obtenir dans votre terminal.

-s, search
    Rechercher et faire correspondre les paquets

-e, dependees
    Montrer de quels SlackBuilds dépendent.

-t, tracking
    Suivi des dépendances des paquets.

OPTIONS

-y, --yes
    Répondre oui à toutes les questions. (à utiliser avec : -u, update, -U, upgrade, -b, build, -i, install, -R, remove, -d, download,)

-O, --resolve-off
    Désactive la résolution des dépendances. (à utiliser avec : -U, upgrade, -b, build, -i, install)

-r, --reinstall
    Utilisez cette option si vous souhaitez mettre à jour tous les paquets, même si la même version est déjà installée. Ne pas ignorer les paquets installés. (à utiliser avec : -U, upgrade, -i, install)

-k, --skip-installed
    Cette option est utile si vous souhaitez éviter de construire et de réinstaller des paquets. Remarque : cette option n'affecte que les dépendances. (à utiliser avec : -i, install)

-E, --full-reverse
    Dépendance inversée complète. Ne fonctionne qu'avec les commandes -e, dependees et affiche également les besoins. (à utiliser avec : -e, dependees)

-S, --search
    Active l'utilitaire de dialogue pour rechercher des paquets dans le référentiel. Exemple : 'slpkg install python3 --search' ou 'slpkg download python3 --search', etc. (à utiliser avec : -b, build, -i, install, -d, download, -R, remove, -f, find, -w, view, -s, search, -e, dependees, -t, tracking)

-B, --progress-bar
    Appliquez-le pour voir une barre de progression statique au lieu d'un processus exécuté comme la construction, l'installation ou la suppression. (à utiliser avec : -b, build, -i, install, -U, upgrade, -R --remove)

-p, --pkg-version
    Affiche la version du paquetage du référentiel. (à utiliser avec : -e, dependees, -t, tracking, -w, view, -s --search)

-P, --parallel
    Télécharger des fichiers en parallèle pour accélérer le processus. (à utiliser avec : -u, update, -U, upgrade, -b, build, -i, install, -d, download)

-m, --no-case
    Paquets de correspondance de motifs sensibles à la casse. (à utiliser avec : -b, build, -i, install, -d, download, -s, search, -f, find, -w, view, -t, tracking, -e, dependees)

-o, ---repository=NAME
    Change le référentiel par défaut et définit le référentiel avec lequel vous voulez travailler. Assurez-vous d'avoir activé le référentiel dans le fichier '/etc/slpkg/repositories.toml'. Le modèle de référentiel '*' n'est supporté qu'avec l'option '-s, search' (à utiliser avec : -u, update, -U, upgrade, -c, check-updates, -I, repo-info, -b, build, -i, install, -d, download, -s, search, -t, tracking, -e, dependees, -w, view)

-z, --directory=PATH
    Le répertoire est le chemin où les fichiers seront enregistrés. (à utiliser avec : -d, download)

-h | --help
    Affiche les informations d'aide et quitte.

-v | --version
    Affiche la version et quitte.

SYNTAXE DES OPTIONS

En dehors de la manière classique, vous pouvez mettre plusieurs options qui ne nécessitent pas d'arguments ensemble, comme :

       slpkg -iPny [PACKAGES...]

FILELIST|PACKAGES

Au lieu de paquets, vous pouvez transmettre un fichier texte avec le suffixe '.pkgs' et les noms des paquets. Exemple : 'slpkg install list.pkgs'. Editez le fichier de configuration '/etc/slpkg/slpkg.toml' pour changer le suffixe si vous le souhaitez. Vous pouvez utiliser des listes provenant d'autres sources, comme les fichiers '.sqf'.

A SAVOIR

Il y a cinq indicateurs lorsque certaines commandes sont utilisées, par exemple : Cyan : Installer, Jaune : Construire, Gris : Installé, Violet : Installé Pour construire, Gris : C'est installé, Violet : Pour la mise à jour, Rouge : Pour supprimer. Lorsque vous utilisez les commandes install, build, upgrade ou remove, vous devez savoir que si le paquet est installé, sa couleur passera au gris, si le paquet peut être mis à jour, il devient violet, et s'il n'est pas installé, sa couleur est cyan. De même, si vous essayez de supprimer un paquet, la couleur du paquet devient rouge. Pour la commande de mise à jour, vous devez savoir que vous pouvez mettre à jour des paquets provenant de différents dépôts, si vous éditez le fichier '/etc/slpkg/repositories.toml' et supprimez la balise repository. Le slpkg ne peut alors pas reconnaître le dépôt des paquets. Avec la commande remove, il va supprimer les dépendances si le paquet a été installé avec la commande 'slpkg install', sinon, le slpkg ne connaît pas les dépendances qui sont installées avec les paquets qu'il va supprimer. Vous pouvez appliquer l'astérisque '*' à la place d'un paquet, pour faire correspondre tous les paquets d'un dépôt. Vous ne pouvez pas appliquer un astérisque à l'option '-o, --repository=', sauf pour la commande '-s, search'. Note : Il n'existe actuellement aucune fonction permettant d'indiquer les paquets si les couleurs sont désactivées.

ÉTAT DE SORTIE

0 Exécution réussie de slpkg.

1 Quelque chose de mal s'est produit.

Code d'erreur de sortie Installpkg et Upgradepkg:

1 = tar a renvoyé le code d'erreur

2 = enveloppe de compression corrompue

3 = ne se termine pas par .tgz

4 = aucun fichier de ce type

5 = utilitaire de compression externe manquant

CARACTÈRES D'EXPLICATION

[État du traitement : Rouge est en cours de traitement, Vert est terminé.

[✔️] Caractère terminé : Apparaît lorsque le traitement est terminé.

[X] Caractère d'échec : Apparaît lorsque le traitement a échoué.

[Caractère ignoré : Apparaît lorsque le traitement a été ignoré.

FICHIERS DE CONFIGURATION

Fichier de configuration dans le fichier /etc/slpkg/slpkg.toml.

Fichier de référentiels dans le fichier /etc/slpkg/repositories.toml.

Fichier de liste noire dans le fichier /etc/slpkg/blacklist.toml.

slpkg_new-configs permet de gérer les fichiers de configuration .new facilement et rapidement. Déplacez-les, copiez-les ou supprimez-les.

RAPPORT DE BOGUES

Veuillez rapporter tout bug trouvé à : https://gitlab.com/dslackw/slpkg/-/issues.

AUTEUR

Dimitris Zlatanidis <dslackw@gmail.com>